# DOMElement::getAttributeNode

(PHP 5, PHP 7)

DOMElement::getAttributeNode — Returns attribute node

### Description

public DOMElement::getAttributeNode ( string `$name` ) : DOMAttr

Returns the attribute node with name `name` for the current element.

### Parameters

`name`

  The name of the attribute.

### Return Values

The attribute node. Note that for XML namespace declarations (xmlns and xmlns:* attributes) an instance of DOMNameSpaceNode is returned instead of a DOMAttr.

### See Also

- DOMElement::hasAttribute() - Checks to see if attribute exists
- DOMElement::setAttributeNode() - Adds new attribute node to element
- DOMElement::removeAttributeNode() - Removes attribute